---
lang: en
title: 'API docs: context.proxysource'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.proxysource.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [ProxySource](./context.proxysource.md)

## ProxySource class

Invocation source for injected proxies. It wraps a snapshot of the `ResolutionSession` that tracks the binding/injection stack.

<b>Signature:</b>

```typescript
export declare class ProxySource implements InvocationSource<ResolutionSession> 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(value)](./context.proxysource._constructor_.md) |  | Constructs a new instance of the <code>ProxySource</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [type](./context.proxysource.type.md) |  | <code>string</code> |  |
|  [value](./context.proxysource.value.md) |  | <code>ResolutionSession</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [toString()](./context.proxysource.tostring.md) |  |  |


